%define	name	mdbtools
%define	version	0.6pre1
 
Name: %{name} 
Version: %{version} 
Release: 1 
Vendor: mdbtools.sourceforge.net
Copyright: LGPL/GPL
Group: System Environment/Libraries 
Source: http://download.sourceforge.net/mdbtools/%{name}-%{version}.tgz
BuildRoot: /var/tmp/%{name}-buildroot 
Summary: MDB Tools is a suite of libraries and program for accessing data stored in Microsoft Access databases.
 
%description 
mdb-dump   -- simple hex dump utility for looking at mdb files
mdb-schema -- prints DDL for the specified table
mdb-export -- export table to CSV format
mdb-tables -- a simple dump of table names to be used with shell scripts
mdb-header -- generates a C header to be used in exporting mdb data to a C prog
mdb-parsecvs -- generates a C program given a CSV file made with mdb-export
mdb-sql -- demo SQL engine program
mdb-ver -- print version of database
 
%package devel 
Group: Development/Libraries 
Summary: Include files needed for development with MDB Tools
Requires: mdbtools = %{version}

%package odbc
Group: System Environment/Libraries
Summary: MDB Tools ODBC driver for unixODBC
Requires: mdbtools = %{version}, unixODBC >= 2.0.0

%package gui
Group: Applications/Databases
Summary: gmdb2 graphical interface for MDB Tools
Requires: mdbtools = %{version}, libgnomeui >= 2.0.0, libglade2 >= 2.0.0
 
%description devel
The mdbtools-devel package contains the files necessary for development with with the MDB Tools libraries. 

%description odbc
The mdbtools-odbc package contains ODBC driver build for unixODBC.

%description gui
The mdbtools-gui package contains the gmdb2 graphical user interface for MDB Tools

%prep
%setup 
 
%build 
%configure --with-unixodbc=/usr/local 
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
 
%install 
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install
gunzip -c doc/install.tgz | tar x

%post 
/sbin/ldconfig 
 
%clean 
rm -rf $RPM_BUILD_ROOT 
 
%files 
%defattr(-,root,root) 
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO HACKING
%{_libdir}/libmdb.a
%{_libdir}/libmdb.la
%{_libdir}/libmdb.so*
%{_libdir}/libmdbsql.a
%{_libdir}/libmdbsql.la
%{_libdir}/libmdbsql.so*
%{_bindir}/mdb-schema
%{_bindir}/mdb-export
%{_bindir}/mdb-tables
%{_bindir}/mdb-header
%{_bindir}/mdb-parsecsv
%{_bindir}/mdb-dump
%{_bindir}/mdb-sql
%{_bindir}/mdb-ver
%{_bindir}/mdb-array
%{_mandir}/man1/*
 
%files devel 
%defattr (-,root,root) 
%{_includedir}/mdbtools.h
%{_includedir}/mdbsql.h

%files odbc
%defattr(-,root,root)
%{_libdir}/libmdbodbc.la
%{_libdir}/libmdbodbc.a
%{_libdir}/libmdbodbc.so*

%files gui
%defattr (-,root,root)
%{_bindir}/gmdb2
%{_datadir}/gmdb/glade/*
%{_datadir}/gnome/help/gmdb/C/*
%{_datadir}/gnome/help/gmdb/C/figures/*
 
%changelog 
* Sat Jan 11 2003 Brian Bruns <camber@ais.org> 
- Modifications for 0.5 ver and making .in version
